WWW-www.enlightenment.org pushed a commit to branch master.

http://git.enlightenment.org/website/www-content.git/commit/?id=c60d8925a196815fcab4e99a7da62215e869ee56

commit c60d8925a196815fcab4e99a7da62215e869ee56
Author: Raster <ras...@rasterman.com>
Date:   Mon Jun 22 20:24:46 2015 -0700

    Wiki page archlinux-start changed with summary [] by Raster
---
 pages/distros/archlinux-start.txt | 60 ++++++++-------------------------------
 1 file changed, 12 insertions(+), 48 deletions(-)

diff --git a/pages/distros/archlinux-start.txt 
b/pages/distros/archlinux-start.txt
index 4364427..159dbfd 100644
--- a/pages/distros/archlinux-start.txt
+++ b/pages/distros/archlinux-start.txt
@@ -1,66 +1,30 @@
-~~Title: Archlinux~~
-==== Archlinux ====
+~~Title: Arch Linux~~
+==== Arch ====
 
-The way to install Enlightenment on Archlinux is quite easy, use the official
-repo :
+The way to install Enlightenment on Arch Linux is quite easy, use the official 
repo:
 
 <code bash>
-#depends on elementary
 pacman -S enlightenment
-#EFL-based terminal emulator
-pacman -S terminology #optionnal
+pacman -S terminology # optional terminal
 </code>
 
-Many apps or efl tools are available in AUR packages, for example with yaourt:
+Many apps or efl tools are available in AUR packages, for example with 
[[https://wiki.archlinux.org/index.php/Yaourt|Yaourt]]:
+
 <code bash>
-yaourt -S clousseau-git
+yaourt -S clouseau-git
 </code>
 
-If you only want elementary with efl :
+If you only want Elementary with EFL:
 
 <code bash>
-#depends on efl
 pacman -S elementary
 </code>
 
-If you want to install enlightenment from sources, make sure you get all the
-dependencies:
+If you want to install Enlightenment and/or EFL from source, the easiest way 
is to first install the arch packages to have them pull in dependencies, then 
remove them:
 
 <code bash>
-#dependencies for enlightenment
-bluez-libs
-ttf-font
-udisks2
-hicolor-icon-theme
-pixman
-mesa
-desktop-file-utils
-xcb-util-keysyms
-bullet
-libjpeg-turbo
-gst-plugins-base
-luajit
-curl
-fribidi
-libpulse
-libxcomposite
-libxinerama
-libxrandr
-libxss
-libxcursor
-libxp
-libwebp
-shared-mime-info
-libxkbcommon
-wayland
-lz4
-openjpeg
-avahi
-librsvg
-poppler
-libraw
-libspectre
+pacman -S elementary
+pacman -R efl
 </code>
 
-Then go to [[/docs-efl-start|Get EFL installed]] tutorial, to install
-Enlightenment from sources.
+Then go to [[/docs-efl-start]] tutorial, to install Enlightenment and/or EFL 
from source.

-- 


Reply via email to